import { AbstractControl, FormGroup, ValidationErrors, ValidatorFn } from "@angular/forms";

export class CrossValidator {
  public onlyAllowNameAndDescriptionSame() {
    return (control: AbstractControl): ValidationErrors | null => {
      if (!(control instanceof FormGroup)) {
        return null;
      }

      const name = control.get('name')?.value;
      const description = control.get('description')?.value;

      console.log(name, description);

      const error = name !== description ? { mismatch: true } : null;

      console.log(error);

      return error;
    };
  }
}
